import { TypographyPropsVariantOverrides } from "@mui/material/Typography";
import { Variant } from "@mui/material/styles/createTypography";
import { OverridableStringUnion } from "@mui/types";
import "@mui/material/styles";
import "@mui/material/Typography";
import "@mui/material/Alert";
import React from "react";
export * as colors from "./variables/ts/variables";
export declare const EDLSLightTheme: import("@mui/material/styles").Theme;
export declare const EDLSOverrideTheme: (LinkComponent?: import("@mui/material/OverridableComponent").OverridableComponent<import("@mui/material").LinkTypeMap<{}, "a">> | undefined, options?: {
    useDatePickersV6?: boolean | undefined;
} | undefined) => import("@mui/material/styles").Theme;
declare module "@mui/material/styles" {
    interface TypographyVariants {
        "tag - normal": React.CSSProperties;
        "tag - small": React.CSSProperties;
        title: React.CSSProperties;
        "Heading 1 - 32": React.CSSProperties;
        "Heading 2 - 24": React.CSSProperties;
        "Heading 3 - 24": React.CSSProperties;
        "Title 20 – Emphasis": React.CSSProperties;
        "Title 20 – Standard": React.CSSProperties;
        "Title 20 – Underline": React.CSSProperties;
        "Body 16 – Emphasis": React.CSSProperties;
        "Body 16 – Standard": React.CSSProperties;
        "Body 16 – Underline": React.CSSProperties;
        "Body 14 – Emphasis": React.CSSProperties;
        "Body 14 – Standard": React.CSSProperties;
        "Body 14 – Underline": React.CSSProperties;
        "Micro 12 – Uppercase": React.CSSProperties;
        "Micro 12 – Emphasis": React.CSSProperties;
        "Micro 12 – Standard": React.CSSProperties;
        "Micro 12 – Underline": React.CSSProperties;
    }
    interface TypographyVariantsOptions {
        "tag - normal"?: React.CSSProperties;
        "tag - small"?: React.CSSProperties;
        title?: React.CSSProperties;
        "Heading 1 - 32": React.CSSProperties;
        "Heading 2 - 24": React.CSSProperties;
        "Heading 3 - 24": React.CSSProperties;
        "Title 20 – Emphasis": React.CSSProperties;
        "Title 20 – Standard": React.CSSProperties;
        "Title 20 – Underline": React.CSSProperties;
        "Body 16 – Emphasis": React.CSSProperties;
        "Body 16 – Standard": React.CSSProperties;
        "Body 16 – Underline": React.CSSProperties;
        "Body 14 – Emphasis": React.CSSProperties;
        "Body 14 – Standard": React.CSSProperties;
        "Body 14 – Underline": React.CSSProperties;
        "Micro 12 – Uppercase": React.CSSProperties;
        "Micro 12 – Emphasis": React.CSSProperties;
        "Micro 12 – Standard": React.CSSProperties;
        "Micro 12 – Underline": React.CSSProperties;
    }
}
declare module "@mui/material/Typography" {
    interface TypographyPropsVariantOverrides {
        "tag - normal": true;
        "tag - small": true;
        title: true;
        "Heading 1 - 32": true;
        "Heading 2 - 24": true;
        "Heading 3 - 24": true;
        "Title 20 – Emphasis": true;
        "Title 20 – Standard": true;
        "Title 20 – Underline": true;
        "Body 16 – Emphasis": true;
        "Body 16 – Standard": true;
        "Body 16 – Underline": true;
        "Body 14 – Emphasis": true;
        "Body 14 – Standard": true;
        "Body 14 – Underline": true;
        "Micro 12 – Uppercase": true;
        "Micro 12 – Emphasis": true;
        "Micro 12 – Standard": true;
        "Micro 12 – Underline": true;
    }
}
declare module "@mui/material/Alert" {
    interface AlertPropsVariantOverrides {
        inline: true;
    }
}
export type TypographyVariants = OverridableStringUnion<Variant | "inherit", TypographyPropsVariantOverrides>;
