export declare const MuiAlert: {
    variants: ({
        props: {
            variant: "inline";
            color: "success";
        };
        style: {
            background: string;
            borderLeft: string;
            borderRadius: number;
            color: string;
            fontSize: string;
            paddingLeft: number;
            borderLeftColor?: undefined;
            ".MuiAlert-message b"?: undefined;
        };
    } | {
        props: {
            variant: "inline";
            color: "error";
        };
        style: {
            background: string;
            borderLeft: string;
            borderRadius: number;
            color: string;
            borderLeftColor: string;
            ".MuiAlert-message b": {
                color: string;
            };
            fontSize: string;
            paddingLeft: number;
        };
    } | {
        props: {
            variant: "inline";
            color: "info";
        };
        style: {
            background: string;
            borderLeft: string;
            borderRadius: number;
            color: string;
            borderLeftColor: string;
            fontSize: string;
            paddingLeft: number;
            ".MuiAlert-message b"?: undefined;
        };
    })[];
    defaultProps: {
        icon: boolean;
    };
};
