"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiAlert = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const palette_1 = require("../../palette/palette");
exports.MuiAlert = {
    variants: [
        {
            props: { variant: "inline", color: "success" },
            style: {
                background: variables_1.ColorLightBackgroundSecondary,
                borderLeft: "2px solid",
                borderRadius: 0,
                color: variables_1.ColorLightForegroundPrimary,
                fontSize: "14px",
                paddingLeft: 14,
            },
        },
        {
            props: { variant: "inline", color: "error" },
            style: {
                background: variables_1.ColorLightBackgroundSecondary,
                borderLeft: "2px solid",
                borderRadius: 0,
                color: variables_1.ColorLightForegroundPrimary,
                borderLeftColor: palette_1.palette.error.main,
                ".MuiAlert-message b": {
                    color: palette_1.palette.error.main,
                },
                fontSize: "14px",
                paddingLeft: 14,
            },
        },
        {
            props: { variant: "inline", color: "info" },
            style: {
                background: variables_1.ColorLightBackgroundSecondary,
                borderLeft: "2px solid",
                borderRadius: 0,
                color: variables_1.ColorLightForegroundPrimary,
                borderLeftColor: variables_1.ColorLightForegroundBlue,
                fontSize: "14px",
                paddingLeft: 14,
            },
        },
    ],
    defaultProps: {
        icon: false,
    },
};
