export declare const MuiChip: {
    styleOverrides: {
        root: {
            borderRadius: string;
            border: string;
            fontSize: string;
            height: string;
            width: string;
            padding: string;
            gap: string;
        };
        label: {
            padding: number;
        };
        deleteIcon: {
            display: string;
            fontSize: string;
            margin: number;
            padding: number;
            paddingTop: string;
            path: {
                color: string;
            };
            ":hover": {
                color: string;
            };
        };
        filledDefault: {
            fontWeight: number;
            borderColor: string;
            color: string;
            backgroundColor: string;
            ":hover": {
                backgroundColor: string;
                borderColor: string;
                color: string;
            };
            ":focus": {
                backgroundColor: string;
                borderColor: string;
                color: string;
            };
        };
        filledPrimary: {
            fontWeight: number;
            borderColor: string;
            color: string;
            backgroundColor: string;
            ":hover": {
                borderColor: string;
                backgroundColor: string;
            };
            ":focus": {
                borderColor: string;
                backgroundColor: string;
            };
        };
    };
};
