"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiChip = void 0;
const variables_1 = require("../../../../variables/ts/variables");
exports.MuiChip = {
    styleOverrides: {
        root: {
            borderRadius: "4px",
            border: "1px solid",
            fontSize: "14px",
            height: "28px",
            width: "fit-content",
            padding: "4px 8px",
            gap: "8px",
        },
        label: {
            padding: 0,
        },
        deleteIcon: {
            display: "flex",
            fontSize: "inherit",
            margin: 0,
            padding: 0,
            paddingTop: "2px",
            path: {
                color: variables_1.ColorLightForegroundPrimary,
            },
            ":hover": {
                color: variables_1.ColorLightForegroundPrimary,
            },
        },
        filledDefault: {
            fontWeight: 350,
            borderColor: variables_1.ColorLightOrnamentSecondary,
            color: variables_1.ColorLightForegroundSecondary,
            backgroundColor: variables_1.ColorLightBackgroundPrimary,
            ":hover": {
                backgroundColor: "transparent",
                borderColor: variables_1.ColorLightOrnamentPrimary,
                color: variables_1.ColorLightForegroundPrimary,
            },
            ":focus": {
                backgroundColor: "transparent",
                borderColor: variables_1.ColorLightOrnamentPrimary,
                color: variables_1.ColorLightForegroundPrimary,
            },
        },
        filledPrimary: {
            fontWeight: 500,
            borderColor: "transparent",
            color: variables_1.ColorLightForegroundAccent,
            backgroundColor: variables_1.ColorLightForegroundLightBlue,
            ":hover": {
                borderColor: `${variables_1.ColorLightForegroundAccent}20`,
                backgroundColor: variables_1.ColorLightForegroundLightBlue,
            },
            ":focus": {
                borderColor: `${variables_1.ColorLightForegroundAccent}20`,
                backgroundColor: variables_1.ColorLightForegroundLightBlue,
            },
        },
    },
};
