export declare const MuiDateRangePickerDay: {
    styleOverrides: {
        root: {
            fontWeight: number;
            fontSize: string;
            lineHeight: string;
            color: string;
            minWidth: string;
            height: string;
            borderRadius: number;
            margin: number;
            fontFamily: string;
        };
        rangeIntervalPreview: {
            borderRadius: number;
            border: number;
            minWidth: string;
            height: string;
        };
        rangeIntervalDayPreview: {
            backgroundColor: string;
            ":last-of-type": {
                borderRadius: number;
            };
        };
        rangeIntervalDayHighlight: {
            borderRadius: number;
            backgroundColor: string;
        };
        dayOutsideRangeInterval: {
            ":not(.MuiDateRangeCalendar-dayDragging):hover": {
                borderColor: string;
            };
        };
        day: {
            borderRadius: number;
            transform: string;
            opacity: number;
            ":focus": {
                backgroundColor: string;
            };
            ":focus-visible": {
                backgroundColor: string;
            };
        };
    };
};
