"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiFilledInput = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const palette_1 = require("../../palette/palette");
exports.MuiFilledInput = {
    defaultProps: {
        disableUnderline: true,
    },
    styleOverrides: {
        root: {
            background: palette_1.palette.common.white,
            border: `1px solid ${variables_1.ColorLightOrnamentPrimary}`,
            overflow: "hidden",
            borderRadius: 4,
            ":hover:not(.Mui-disabled)": {
                background: palette_1.palette.common.white,
            },
            "&.Mui-focused": {
                background: palette_1.palette.common.white,
            },
            "&.Mui-disabled": {
                background: variables_1.ColorLightBackgroundSecondary,
                WebkitTextFillColor: variables_1.ColorDarkBackgroundPrimary,
            },
        },
        input: {
            width: "100%",
            maxWidth: "100%",
        },
    },
};
