"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiLink = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const MuiLink = (LinkComponent) => {
    const defaultProps = LinkComponent
        ? { variant: "subtitle2", component: LinkComponent }
        : { variant: "subtitle2" };
    return {
        styleOverrides: {
            root: {
                color: variables_1.ColorLightForegroundBlue,
            },
            underlineAlways: {
                textDecorationColor: variables_1.ColorLightForegroundBlue,
            },
        },
        defaultProps,
    };
};
exports.MuiLink = MuiLink;
