"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiPaginationItem = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const typography_1 = require("../../typography/typography");
exports.MuiPaginationItem = {
    styleOverrides: {
        root: {
            borderBottom: "2px solid",
            borderBottomColor: "transparent",
            background: "transparent",
            borderRadius: 0,
            ":hover": {
                color: variables_1.ColorLightForegroundBlue,
                background: "transparent",
            },
            "&.Mui-selected": {
                background: "transparent",
                borderBottomColor: variables_1.ColorLightForegroundBlue,
                color: variables_1.ColorLightForegroundBlack,
                ":hover": {
                    background: "transparent",
                },
            },
            "&.Mui-disabled": {
                color: variables_1.ColorLightOrnamentPrimary,
            },
            "&.MuiButtonBase-root": {
                padding: 0,
                margin: 0,
                maxWidth: "min-content",
                minWidth: "16px",
            },
        },
        text: Object.assign(Object.assign({}, typography_1.typography["Body 14 – Emphasis"]), { color: variables_1.ColorLightForegroundSecondary }),
        previousNext: {
            color: variables_1.ColorLightForegroundBlue,
        },
    },
};
