"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiPickersDay = void 0;
const variables_1 = require("../../../../variables/ts/variables");
exports.MuiPickersDay = {
    styleOverrides: {
        root: {
            fontWeight: 500,
            fontSize: "14px",
            lineHeight: "20px",
            color: variables_1.ColorLightForegroundBlue,
            minWidth: "48px",
            height: "48px",
            borderRadius: 0,
            margin: 0,
            fontFamily: variables_1.FontFontFamily,
            "&.Mui-selected": {
                background: variables_1.ColorLightForegroundBlue,
            },
            "&.Mui-selected:hover": {
                border: 0,
                background: variables_1.ColorLightForegroundBlue,
            },
            ":focus.Mui-selected": {
                background: variables_1.ColorLightForegroundBlue,
            },
        },
        today: {
            "&:not(.Mui-selected)": {
                border: `1px solid ${variables_1.ColorLightOrnamentPrimary}`,
            },
        },
    },
};
