"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiPickersMonth = void 0;
const variables_1 = require("../../../../variables/ts/variables");
exports.MuiPickersMonth = {
    styleOverrides: {
        root: {
            boxSizing: "border-box",
            fontWeight: 500,
            fontSize: "14px",
            lineHeight: "20px",
            flexBasis: "calc(33.3% - 32px)",
            color: variables_1.ColorLightForegroundBlue,
            borderRadius: 0,
            fontFamily: variables_1.FontFontFamily,
            "&.Mui-selected": {
                background: variables_1.ColorLightForegroundBlue,
            },
            "&.Mui-selected:hover": {
                border: 0,
                background: variables_1.ColorLightForegroundBlue,
            },
            ":focus.Mui-selected": {
                background: variables_1.ColorLightForegroundBlue,
            },
        },
    },
};
