export declare const MuiTab: {
    readonly styleOverrides: {
        readonly root: {
            readonly textTransform: "inherit";
            readonly fontSize: 16;
            readonly lineHeight: "24px";
            readonly color: string;
            readonly padding: "4px 0";
            readonly minWidth: 0;
            readonly minHeight: number;
            readonly borderBottom: "2px solid transparent";
            readonly "&.Mui-selected": {
                readonly color: string;
                readonly borderBottom: `2px solid ${string}`;
            };
            readonly "&.Mui-disabled": {
                readonly color: string;
            };
            readonly ":hover:not(.Mui-selected)": {
                readonly color: string;
            };
            readonly "&:not(:first-of-type)": {
                readonly marginLeft: 8;
            };
            readonly "&:not(:last-child)": {
                readonly marginRight: 8;
            };
            readonly "& .MuiTab-iconWrapper": {
                readonly marginLeft: 4;
            };
        };
    };
};
