"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiToggleButton = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const palette_1 = require("../../palette/palette");
exports.MuiToggleButton = {
    styleOverrides: {
        root: {
            borderRadius: "16px",
            textTransform: "none",
            fontWeight: 350,
            padding: "8px 16px",
            lineHeight: "20px",
            height: "28px",
            "&.MuiToggleButton-primary": {
                border: `1px solid ${variables_1.ColorLightForegroundBlue}`,
                color: variables_1.ColorLightForegroundBlue,
            },
            "&.MuiToggleButton-primary.Mui-selected": {
                background: variables_1.ColorLightForegroundBlue,
                color: palette_1.palette.common.white,
            },
        },
    },
};
