export declare const MuiButton: {
    styleOverrides: {
        root: {
            height: string;
            padding: string;
        };
        text: {
            color: string;
            ":hover": {
                background: string;
                color: string;
            };
        };
        textError: {
            color: string;
        };
        outlined: {
            fontWeight: number;
        };
        outlinedPrimary: {
            color: string;
            ":hover": {
                background: string;
                color: string;
            };
        };
        outlinedError: {
            ":hover": {
                background: string;
                color: string;
            };
            ":disabled": {
                color: string;
                opacity: number;
                borderColor: string;
            };
        };
        contained: {
            background: string;
            boxShadow: string;
            ":hover": {
                boxShadow: string;
            };
            ":disabled": {
                background: string;
                color: string;
                opacity: number;
            };
            "& .MuiLoadingButton-loadingIndicator": {
                color: string;
            };
        };
        containedError: {
            background: string;
        };
    };
};
