"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiDateRangeCalendar = void 0;
const variables_1 = require("../../../../variables/ts/variables");
exports.MuiDateRangeCalendar = {
    styleOverrides: {
        root: {
            boxSizing: "border-box",
            width: "368px",
            border: `1px solid ${variables_1.ColorLightForegroundBlue}`,
            boxShadow: "0px 4px 8px rgba(0, 0, 0, 0.16)",
            borderRadius: "4px",
        },
        monthContainer: {
            width: "100%",
            ".MuiPickersSlideTransition-root": {
                minHeight: 240,
                marginBottom: 16,
            },
        },
        dayDragging: {
            borderRadius: 0,
        },
    },
};
