"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiDateRangePickerDay = void 0;
const variables_1 = require("../../../../variables/ts/variables");
exports.MuiDateRangePickerDay = {
    styleOverrides: {
        root: {
            fontWeight: 500,
            fontSize: "14px",
            lineHeight: "20px",
            color: variables_1.ColorLightForegroundBlue,
            minWidth: "48px",
            height: "48px",
            borderRadius: 0,
            margin: 0,
            fontFamily: variables_1.FontFontFamily,
        },
        rangeIntervalPreview: {
            borderRadius: 0,
            border: 0,
            minWidth: "inherit",
            height: "inherit",
        },
        rangeIntervalDayPreview: {
            backgroundColor: variables_1.ColorLightFeedbackGrayBackground,
            ":last-of-type": {
                borderRadius: 0,
            },
        },
        rangeIntervalDayHighlight: {
            borderRadius: 0,
            backgroundColor: variables_1.ColorLightFeedbackGrayBackground,
        },
        dayOutsideRangeInterval: {
            ":not(.MuiDateRangeCalendar-dayDragging):hover": {
                borderColor: "transparent",
            },
        },
        day: {
            borderRadius: 0,
            transform: "none",
            opacity: 1,
            ":focus": {
                backgroundColor: "transparent",
            },
            ":focus-visible": {
                backgroundColor: variables_1.ColorLightFeedbackGrayBackground,
            },
        },
    },
};
