"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiMenuItem = void 0;
const palette_1 = require("../../palette/palette");
exports.MuiMenuItem = {
    defaultProps: {
        dense: true,
    },
    styleOverrides: {
        root: {
            color: palette_1.palette.common.black,
            ":hover": {
                background: "#b2d3ff",
            },
            "&.Mui-selected": {
                background: "#2684ff",
                color: palette_1.palette.common.white,
            },
            "&.Mui-selected:hover": {
                background: "#2684ff",
                color: palette_1.palette.common.white,
            },
            whiteSpace: "normal",
        },
        dense: {
            height: "35px",
        },
    },
};
