export declare const MuiSwitch: {
    defaultProps: {
        disableRipple: boolean;
    };
    styleOverrides: {
        root: {
            padding: number;
        };
        switchBase: {
            top: number;
            paddingLeft: number;
            ":hover": {
                background: string;
            };
            "&.Mui-checked": {
                transform: string;
            };
            "&.Mui-checked:hover": {
                background: string;
            };
            "&.Mui-checked+.MuiSwitch-track": {
                background: string;
                opacity: number;
            };
        };
        thumb: {
            height: number;
            width: number;
            background: string;
            border: string;
            boxShadow: string;
        };
        track: {
            height: number;
            opacity: number;
            width: number;
            borderRadius: number;
            background: string;
            border: string;
            transition: string;
        };
    };
};
