"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiTextField = void 0;
const palette_1 = require("../../palette/palette");
exports.MuiTextField = {
    defaultProps: {
        variant: "filled",
        InputProps: {
            disableUnderline: true,
        },
    },
    styleOverrides: {
        root: {
            width: "100%",
            maxWidth: "100%",
            "& .MuiInputLabel-root": {
                color: "rgba(0, 0, 0, 0.6)",
            },
            "& .MuiInputLabel-root.Mui-error": {
                color: palette_1.palette.error.main,
            },
            "& .Mui-error .MuiInputBase-input": {
                borderColor: palette_1.palette.error.main,
            },
            "&  .MuiFormHelperText-root.Mui-error": {
                marginLeft: "0px",
            },
        },
    },
};
