"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fontFacesWithWeightInNames = exports.fontFaces = void 0;
/**
 * Font face declarations from https://github.com/volvo-cars/design-system-web/blob/master/packages/css/src/font-face/novum.css
 */
exports.fontFaces = `
@font-face {
  font-family: 'Volvo Novum';
  font-weight: 300;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-greek-semi-light.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-weight: 300;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-cyrillic-semi-light.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0400-04FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-weight: 300;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-semi-light.woff2')
    format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Volvo Novum';
  font-style: italic;
  font-weight: 300;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-greek-semi-light-italic.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-style: italic;
  font-weight: 300;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-cyrillic-semi-light-italic.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0400-04FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-style: italic;
  font-weight: 300;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-semi-light-italic.woff2')
    format('woff2');
  font-display: swap;
}

@font-face {
  font-family: 'Volvo Novum';
  font-weight: 500;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-greek-medium.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-weight: 500;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-cyrillic-medium.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0400-04FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-weight: 500;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-medium.woff2')
    format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Volvo Novum';
  font-style: italic;
  font-weight: 500;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-greek-medium-italic.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-style: italic;
  font-weight: 500;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-cyrillic-medium-italic.woff2')
    format('woff2');
  font-display: swap;
  unicode-range: U+0400-04FF;
}
@font-face {
  font-family: 'Volvo Novum';
  font-style: italic;
  font-weight: 500;
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-medium-italic.woff2')
    format('woff2');
  font-display: swap;
}
`;
/**
 * Font faces declarations with the weights in the names (currently used in src/tokens/font/base.json)
 */
exports.fontFacesWithWeightInNames = `
@font-face {
  font-family: "Volvo Novum SemiLight";
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-semi-light.woff2')
    format('woff2');
}

@font-face {
  font-family: "Volvo Novum Medium";
  src: url('https://www.volvocars.com/static/shared/fonts/volvo-novum/volvo-novum-medium.woff2')
    format('woff2');
  font-weight: normal;
}
`;
